
Redmine - Defect #5720

Problem in edit user.

2010-06-21 17:39 - Marcello Henrique

Status: Closed Start date: 2010-06-21

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

Linux 2.6.32-5-amd64 #1 SMP Tue Jun 1 04:34:03 UTC 2010 x86_64 GNU/Linux

1. svn info

Caminho: .

URL: http://redmine.rubyforge.org/svn/trunk

Raiz do Repositório: http://redmine.rubyforge.org/svn

UUID do repositório: e93f8b46-1217-0410-a6f0-8f06a7374b81

Revisão: 3808

Tipo de Nó: diretório

Agendado: normal

Autor da Última Mudança: edavis10

Revisão da Última Mudança: 3808

Data da Última Mudança: 2010-06-20 18:40:55 -0300 (Dom, 20 Jun 2010)

1. script/about

/usr/lib/ruby/gems/1.8/gems/rails-2.3.5/lib/rails/gem_dependency.rb:119:Warning: Gem::Dependency#version_requirements is

deprecated and will be removed on or after August 2010.  Use #requirement

About your application's environment

Ruby version              1.8.7 (x86_64-linux)

RubyGems version          1.3.7

Rack version              1.0

Rails version             2.3.5

Active Record version     2.3.5

Active Resource version   2.3.5

Action Mailer version     2.3.5

Active Support version    2.3.5

Application root          /home/marcello/RoR/redmine

Environment               development

Database adapter          mysql

Database schema version   20100313171051

1. gem list

LOCAL GEMS ***

abstract (1.0.0)

actionmailer (3.0.0.beta4, 2.3.5, 2.3.4)

actionpack (3.0.0.beta4, 2.3.5, 2.3.4)

activemodel (3.0.0.beta4)

activerecord (3.0.0.beta4, 2.3.5, 2.3.4)

activeresource (3.0.0.beta4, 2.3.5, 2.3.4)

activesupport (3.0.0.beta4, 2.3.5, 2.3.4)

arel (0.4.0)

authlogic (2.1.3, 2.1.2)

be9-acl9 (0.10.0)

brazilian-rails (2.1.10, 2.1.9)

brcep (2.1.10, 2.1.9)

brcpfcnpj (2.1.10, 2.1.9)

brdata (2.1.10, 2.1.9)

brdinheiro (2.1.10, 2.1.9)

brhelper (2.1.10, 2.1.9)
brI18n (2.1.10, 2.1.9)

brnumeros (2.1.10, 2.1.9)

brstring (2.1.10, 2.1.9)

builder (2.1.2)

bundler (0.9.26)

columnize (0.3.1)

erubis (2.6.5)

haml (2.2.16, 2.2.10)

i18n (0.4.1)

linecache (0.43)

lockdown (1.6.2, 1.3.1)

mail (2.2.4)

memcache-client (1.8.3)

mime-types (1.16)

oniguruma (1.1.0)

pandoc-ruby (0.3.1)

plist (3.0.0)

polyglot (0.3.1)

rack (1.2.1, 1.1.0, 1.0.1, 1.0.0)

rack-mount (0.6.4)

rack-test (0.5.4)

rails (3.0.0.beta4, 2.3.5, 2.3.4)

railties (3.0.0.beta4)

rake (0.8.7)

rdiscount (1.5.5)

rgl (0.4.0)

rmagick (2.12.2)

ruby-debug (0.10.3)

ruby-debug-base (0.10.3)

ruby_parser (2.0.4)

rubygems-update (1.3.7)

rvm (0.1.38)

sexp_processor (3.0.3)

stream (0.5)

text-format (1.0.0)

text-hyphen (1.0.0)

textpow (0.10.1)

thor (0.13.6)

treetop (1.4.8)

tzinfo (0.3.22)

ultraviolet (0.10.2)

will_paginate (2.3.11, 2.2.2)

I18n::MissingInterpolationArgument in Users#show

Showing app/views/users/show.rhtml where line #17 raised:

missing interpolation argument in "%{count}/%m/%Y" ({:object=>Tue, 01 Jul 2008} given)

Extracted source (around line #17):

14:     <li><%=h custom_value.custom_field.name%>: <%=h show_value(custom_value) ></li>

15:     < end >

16:     < end >

17:     <li><=l(:label_registered_on)%>: <%= format_date(@user.created_on) ></li>

18:     < unless @user.last_login_on.nil? >

19:         <li><=l(:field_last_login_on)%>: <%= format_date(@user.last_login_on) ></li>

20:     < end %>

RAILS_ROOT: /home/marcello/RoR/redmine

Application Trace | Framework Trace | Full Trace

/usr/lib/ruby/gems/1.8/gems/i18n-0.4.1/lib/i18n/backend/base.rb:186:in `interpolate_without_deprecated_syntax'

/usr/lib/ruby/gems/1.8/gems/activerecord-2.3.5/lib/active_record/i18n_interpolation_deprecation.rb:21:in `interpolate'

/usr/lib/ruby/gems/1.8/gems/i18n-0.4.1/lib/i18n/backend/base.rb:49:in `translate'

/usr/lib/ruby/gems/1.8/gems/i18n-0.4.1/lib/i18n.rb:152:in `t'

/usr/lib/ruby/gems/1.8/gems/i18n-0.4.1/lib/i18n/backend/base.rb:62:in `localize'

/usr/lib/ruby/gems/1.8/gems/i18n-0.4.1/lib/i18n.rb:231:in `l'

/home/marcello/RoR/redmine/lib/redmine/i18n.rb:40:in `format_date'
/home/marcello/RoR/redmine/app/views/users/show.rhtml:17:in `_run_rhtml_app47views47users47show46rhtml'

/home/marcello/RoR/redmine/app/controllers/users_controller.rb:70:in `show'

Request

Parameters:

{"id"=>"1"}

History

#1 - 2010-06-21 19:29 - Felix Schäfer

This is a problem with the I18n gem that is too new for redmine and rails 2.3.5. I think rails 3 pulls in the updated I18n.

#2 - 2010-06-22 22:51 - Marcello Henrique

- Status changed from New to Resolved

Yes, I will use the RVM.

#3 - 2010-06-23 00:22 - Felix Schäfer

- Status changed from Resolved to Closed

- Resolution set to Invalid

Thanks for the feedback :-)
